////////////////////////////////////////////////////////////////////////////////
///
///		Title		: INPZipData Class
///
///		Copyright (c) 2007, NHN Co., Ltd. ALL RIGHTS RESERVED
///
///		Team		: ũ   
///		Author		: oswalk
///		Author(TO)	: 
///		Last-Update	: 2007-02-08
///
////////////////////////////////////////////////////////////////////////////////
#pragma once

/**
* @group 	PCM 
* @brief 	{kr}  {/kr}
* @date		02/08/2007
* @author	{kr} oswalk {/kr}
* @remark	
*/
class INPZipData
{
public:
	
	/**
	* @brief	{kr} Ư ġ ̵{/kr}
	* @param	lLong		{kr}[in] ̵ ġ{/kr}
	*/
	virtual void		Seek(unsigned long lSeek) = 0;
	
	/**
	* @brief	{kr}  ũ⸸ŭ ͸ д´.{/kr}
	* @param	lLong		{kr}[out] ͸  {/kr}
	* @param	lLong		{kr}[int]  ũ{/kr}
	* @return	{kr} ͸  ũ {/kr}
	*/
	virtual int			ReadData(BYTE *pBuffer, unsigned long lBufferSize) = 0;
	
	/**
	* @brief	{kr} 4bytes ͸ д´.{/kr}
	* @param	lLong		{kr}[out] ͸  {/kr}
	*/
	virtual void		GetLong (unsigned long & lLong)=0;
	
	/**
	* @brief	{kr} 2bytes ͸ д´.{/kr}
	* @param	lLong		{kr}[out] ͸  {/kr}
	*/
	virtual void		GetShort (unsigned long & lLong)=0;
	
	/**
	* @brief	{kr} 1bytes ͸ д´.{/kr}
	* @param	nInt		{kr}[out] ͸  {/kr}
	*/
	virtual void		GetByte(int & nInt)=0;

	/**
	* @brief	{kr} Zip  ũ⸦ Ѵ.{/kr}
	* @return	{kr} Zip  ũ {/kr}
	*/
	virtual unsigned long GetZipDataSize()=0;
};
